Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.buffer
Class BufferAdapter

    java.lang.Object
      org.gjt.sp.jedit.buffer.BufferAdapter

All Implemented Interfaces:
  BufferListener

Direct Known Subclasses:
  ElasticTabStopBufferListener

    public abstract class BufferAdapter

extends java.lang.Object
implements BufferListener

An adapter you can subclass to avoid having to implement all the methods of the `BufferListener` interface.

Since:
  jEdit 4.3pre3

Constructor Summary
`BufferAdapter()`

Method Summary
`void` | `bufferLoaded(JEditBuffer buffer)` Called to notify the text area that the buffer has been reloaded.
`void` | `contentInserted(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is inserted into the buffer.
`void` | `contentRemoved(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is removed from the buffer.
`void` | `foldHandlerChanged(JEditBuffer buffer)` Called to notify the text area that folds need to be collapsed if the "collapseFolds" property is set.
`void` | `foldLevelChanged(JEditBuffer buffer, int start, int end)` Called when line fold levels change.
`void` | `preContentInserted(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is about to be inserted in the buffer.
`void` | `preContentRemoved(JEditBuffer buffer, int startLine, int offset, int numLines, int length)` Called when text is about to be removed from the buffer, but is still present.
`void` | `transactionComplete(JEditBuffer buffer)` Called after an undo or compound edit has finished.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferAdapter

    public BufferAdapter()

Method Detail

### foldLevelChanged

    public void foldLevelChanged(JEditBuffer buffer,
                                 int start,
                                 int end)

  Called when line fold levels change.

  Specified by:
    `foldLevelChanged` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
    `start` - The start line number
    `end` - The end line number
  Since:
    jEdit 4.3pre3

### contentInserted

    public void contentInserted(JEditBuffer buffer,
                                int startLine,
                                int offset,
                                int numLines,
                                int length)

  Called when text is inserted into the buffer.

  Specified by:
    `contentInserted` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
    `startLine` - The first line
    `offset` - The start offset, from the beginning of the buffer
    `numLines` - The number of lines inserted
    `length` - The number of characters inserted
  Since:
    jEdit 4.3pre3

### preContentInserted

    public void preContentInserted(JEditBuffer buffer,
                                   int startLine,
                                   int offset,
                                   int numLines,
                                   int length)

  Called when text is about to be inserted in the buffer.

  Specified by:
    `preContentInserted` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
    `startLine` - The first line
    `offset` - The start offset, from the beginning of the buffer
    `numLines` - The number of lines inserted
    `length` - The number of characters inserted
  Since:
    jEdit 4.3pre11

### preContentRemoved

    public void preContentRemoved(JEditBuffer buffer,
                                  int startLine,
                                  int offset,
                                  int numLines,
                                  int length)

  Called when text is about to be removed from the buffer, but is still present.

  Specified by:
    `preContentRemoved` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
    `startLine` - The first line
    `offset` - The start offset, from the beginning of the buffer
    `numLines` - The number of lines to be removed
    `length` - The number of characters to be removed
  Since:
    jEdit 4.3pre3

### contentRemoved

    public void contentRemoved(JEditBuffer buffer,
                               int startLine,
                               int offset,
                               int numLines,
                               int length)

  Called when text is removed from the buffer.

  Specified by:
    `contentRemoved` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
    `startLine` - The first line
    `offset` - The start offset, from the beginning of the buffer
    `numLines` - The number of lines removed
    `length` - The number of characters removed
  Since:
    jEdit 4.3pre3

### transactionComplete

    public void transactionComplete(JEditBuffer buffer)

  Called after an undo or compound edit has finished. The text area uses this event to queue up and collapse cleanup operations so they are only run once during a long transaction (such as a "Replace All" operation.)

  Specified by:
    `transactionComplete` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
  Since:
    jEdit 4.3pre3

### foldHandlerChanged

    public void foldHandlerChanged(JEditBuffer buffer)

  Called to notify the text area that folds need to be collapsed if the "collapseFolds" property is set. This method is called after the buffer has been loaded, and also if the user changes the fold handler.

  Specified by:
    `foldHandlerChanged` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
  Since:
    jEdit 4.3pre3

### bufferLoaded

    public void bufferLoaded(JEditBuffer buffer)

  Called to notify the text area that the buffer has been reloaded.

  Specified by:
    `bufferLoaded` in interface `BufferListener`
  Parameters:
    `buffer` - The buffer in question
  Since:
    jEdit 4.3pre3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD